tags 471109 patch

The attached patch will add python-uniconvertor to recommends and add a
dpatch to make use of the uniconvertor binary with the correct name.

Cheers,
Andreas
-- 
Andreas Wenning <[EMAIL PROTECTED]>

diff -u inkscape-0.46/debian/changelog inkscape-0.46/debian/changelog
--- inkscape-0.46/debian/changelog
+++ inkscape-0.46/debian/changelog
@@ -1,3 +1,11 @@
+inkscape (0.46-2) unstable; urgency=low
+
+  * Add 02_uniconvertor_binary_name.dpatch to be able to make use of
+    python-uniconvertor for additional file support and add recommends
+    for python-uniconvertor. (Closes: #471109)
+
+ -- Andreas Wenning <[EMAIL PROTECTED]>  Mon, 12 May 2008 17:15:03 +0200
+
 inkscape (0.46-1) unstable; urgency=low
 
   * acknowledge NMU by Aurelien Jarno, many thanks to him for making inkscape
diff -u inkscape-0.46/debian/control inkscape-0.46/debian/control
--- inkscape-0.46/debian/control
+++ inkscape-0.46/debian/control
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}
 Suggests: dia | dia-gnome, ruby, libxml-xql-perl, python, python-numpy, python-lxml, skencil
-Recommends: libwmf-bin, pstoedit, imagemagick, perlmagick
+Recommends: libwmf-bin, pstoedit, imagemagick, perlmagick, python-uniconvertor
 Description: vector-based drawing program
  Inkscape loads and saves a subset of the SVG (Scalable Vector Graphics)
  format, a standard maintained by the WWW consortium.
only in patch2:
unchanged:
--- inkscape-0.46.orig/debian/patches/02_uniconvertor_binary_name.dpatch
+++ inkscape-0.46/debian/patches/02_uniconvertor_binary_name.dpatch
@@ -0,0 +1,43 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 02_uniconvertor_binary_name.dpatch by Andreas Wenning <[EMAIL PROTECTED]>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
[EMAIL PROTECTED]@
+diff -urNad inkscape-0.46~/share/extensions/cdr2svg.sh inkscape-0.46/share/extensions/cdr2svg.sh
+--- inkscape-0.46~/share/extensions/cdr2svg.sh	2008-03-11 05:21:10.000000000 +0100
++++ inkscape-0.46/share/extensions/cdr2svg.sh	2008-05-12 17:13:50.000000000 +0200
+@@ -4,7 +4,7 @@
+ TEMPFILENAME=`mktemp 2>/dev/null || echo "$TMPDIR/$$"`
+ TEMPFILENAME=${TEMPFILENAME}.svg
+ 
+-uniconv "$1" "${TEMPFILENAME}" > /dev/null 2>&1 || rc=1
++uniconvertor "$1" "${TEMPFILENAME}" > /dev/null 2>&1 || rc=1
+ 
+ cat < "${TEMPFILENAME}" || rc=1
+ rm -f "${TEMPFILENAME}"
+diff -urNad inkscape-0.46~/share/extensions/cdr_input.inx inkscape-0.46/share/extensions/cdr_input.inx
+--- inkscape-0.46~/share/extensions/cdr_input.inx	2008-03-11 05:21:07.000000000 +0100
++++ inkscape-0.46/share/extensions/cdr_input.inx	2008-05-12 17:13:35.000000000 +0200
+@@ -1,7 +1,7 @@
+ <inkscape-extension>
+     <_name>Corel DRAW Input</_name>
+     <id>org.inkscape.input.cdr</id>
+-    <dependency type="executable" location="path">uniconv</dependency>
++    <dependency type="executable" location="path">uniconvertor</dependency>
+     <dependency type="executable" location="extensions">cdr2svg.sh</dependency>
+     <input>
+         <extension>.cdr</extension>
+diff -urNad inkscape-0.46~/share/extensions/wmf_input.inx inkscape-0.46/share/extensions/wmf_input.inx
+--- inkscape-0.46~/share/extensions/wmf_input.inx	2008-03-11 05:21:10.000000000 +0100
++++ inkscape-0.46/share/extensions/wmf_input.inx	2008-05-12 17:13:22.000000000 +0200
+@@ -1,7 +1,7 @@
+ <inkscape-extension>
+     <_name>Windows Metafile Input</_name>
+     <id>org.inkscape.input.wmf</id>
+-    <dependency type="executable" location="path">uniconv</dependency>
++    <dependency type="executable" location="path">uniconvertor</dependency>
+     <dependency type="executable" location="extensions">cdr2svg.sh</dependency>
+     <input>
+         <extension>.wmf</extension>

Reply via email to